﻿using BaseApplicationProject.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace BaseApplicationProject.ViewModels
{
    public class ExampleViewModel
    {
        public ExampleViewModel()
        {
            this.Items1 = GetData();
            Thread.Sleep(100);
            this.Items2 = GetData();
        }

        private ObservableCollection<DataItem> GetData()
        {
            var items = new ObservableCollection<DataItem>();
            DateTimeFormatInfo mfi = new DateTimeFormatInfo();
            Random r = new Random();
        
            for (int i = 0; i < 5; i++)
            {
                int year = 1970 + i;
                string policyNumber = "Policy " + i.ToString();
                var dataItem = new DataItem { Year = year, Coverage = i + 2, PolicyNumber = policyNumber };
               
                items.Add(dataItem);
            }

            return items;
        }

        public ObservableCollection<DataItem> Items1 { get; set; }
        public ObservableCollection<DataItem> Items2 { get; set; }
    }
}
